<app-card
    [hasShadow]="false"
    routerLink="/tabs/diaries/consultation"
    [queryParams]="{ diaryId: diary.id }"
    data-testid="diary"
>
    <div content class="consultation has-background-pale-grey-light radius-17">
        <ion-row class="ion-nowrap">
            <!-- Consultation -->
            <ion-col size="auto" class="ion-no-padding">
                <div
                    class="width-66 height-84 has-background-blue-light radius-9 ion-text-center pt-5 ml-5"
                >
                    <!-- Consultation day -->
                    <ion-text class="size-10 weight-400" color="white">{{
                        (consultationDate | date : 'E' | uppercase)?.replace(
                            '.',
                            ''
                        )
                    }}</ion-text>
                    <br />
                    <!-- Consultation date -->
                    <ion-text
                        data-test-id="dateAvailability"
                        class="size-20 weight-600"
                        color="white"
                    >
                        {{ consultationDate | date : 'd' }}
                    </ion-text>
                    <br />
                    <!-- Consultation month -->
                    <ion-text
                        data-test-id="month"
                        class="size-10 weight-400"
                        color="white"
                    >
                        {{
                            (
                                consultationDate
                                | date : 'MMM'
                                | uppercase
                            )?.replace('.', '')
                        }}
                    </ion-text>
                </div>
            </ion-col>

            <ion-col
                class="consultation__description flex pl-10 ion-justify-content-between"
            >
                <!-- Doctor informations -->
                <ion-row>
                    <!-- Doctor name -->
                    <ion-col class="ion-no-padding ion-text-left">
                        <ion-text
                            class="size-13 weight-600 has-text-secondary"
                            color="dark-light"
                        >
                            {{ diary.patient.nom }}
                            {{ diary.patient.prenom }}
                        </ion-text>
                    </ion-col>
                    <!-- Video icon -->
                    <ion-col
                        size="auto"
                        data-test-id="video-consultation"
                        *ngIf="showVideo"
                    >
                        <ion-icon
                            name="videocam-outline"
                            color="white"
                            class="has-background-success ion-float-end size-16 px-5 py-2 radius-5"
                        ></ion-icon>
                    </ion-col>
                </ion-row>

                <ion-text
                    class="consultation__info size-11 weight-400 ion-text-left ion-text-nowrap mt-3"
                    color="black-thin"
                >
                    {{ info }}
                </ion-text>

                <ion-row class="mt-4 ion-align-items-center pr-34 ion-nowrap">
                    <!-- Meeting time icon -->
                    <ion-col size="auto" class="ion-no-padding mt-4">
                        <ion-icon
                            name="alarm-outline"
                            color="black"
                            class="size-14"
                        ></ion-icon>
                    </ion-col>
                    <!-- Meeting time -->
                    <ion-col size="auto" class="pr-0 py-1 pl-4">
                        <ion-text
                            data-test-id="meeting-hours"
                            color="black-light"
                            class="consultation__time size-11 weight-600"
                            >{{
                                diary.calendar.availableDateStart
                                    | slice : 0 : 5
                            }}</ion-text
                        >
                    </ion-col>

                    <!-- Meeting status icon -->
                    <ion-col class="ion-no-padding ml-10 mr-1 mb-2" size="auto">
                        <ion-icon
                            name="ellipse"
                            class="size-6"
                            [ngClass]="{
                                'is-blue':
                                    diary.status ===
                                    ConsultationStatus.terminated,
                                'is-green':
                                    diary.status === ConsultationStatus.payed ||
                                    diary.status ===
                                        ConsultationStatus.confirmByDoctor,
                                'is-red':
                                    diary.status === ConsultationStatus.annuled,
                                'is-warning':
                                    diary.status === ConsultationStatus.waiting
                            }"
                        ></ion-icon>
                    </ion-col>
                    <ion-col
                        size="auto"
                        class="ion-no-padding pl-5"
                        [ngClass]="{
                            'my-2': true,
                            'is-blue-dark':
                                diary.status === ConsultationStatus.terminated,
                            'is-green-dark':
                                diary.status === ConsultationStatus.payed ||
                                diary.status ===
                                    ConsultationStatus.confirmByDoctor,
                            'is-red':
                                diary.status === ConsultationStatus.annuled,
                            'is-warning':
                                diary.status === ConsultationStatus.waiting
                        }"
                    >
                        <ion-text class="size-10" data-testid="diary-status">
                            {{
                                diary.status
                                    | message
                                        : statusMessages
                                        : ConsultationStatus
                            }}
                        </ion-text>
                    </ion-col>
                </ion-row>
            </ion-col>
        </ion-row>
    </div>
</app-card>
